<?php
/**
 * Plugin ShareThis
 *
 * @version	1.0
 * @date	18/10/2013
 * @author	Frédéric K.
 **/
class ShareThis extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut
	 * @return	stdio
	 * @author	Frédéric KAPLON
	 **/
	public function __construct($default_lang) {

        # appel du constructeur de la classe plxPlugin (obligatoire)
        parent::__construct($default_lang);

		# droits pour accèder à la page config.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN);
		
		# déclaration des hooks
		$this->addHook('ThemeEndHead', 'ThemeEndHead');
		$this->addHook('ThemeEndBody', 'ThemeEndBody');
		$this->addHook('ShareThis', 'ShareThis');
    }
	/**
	 * Méthode qui pré-enregistre les paramètres
	 *
	 * @return	stdio
	 * @author	Frédéric KAPLON
	 **/    
    public function OnActivate() {
        $this->setParam('activate', true,  'string');
        $this->setParam('publisher', '********-****-****-****-************',  'string');
        $this->setParam('doNotHash', 'false',  'string');
        $this->setParam('doNotCopy', 'false',  'string');
        $this->setParam('hashAddressBar', 'false',  'string');
        $this->setParam('position', 'left',  'string');
        $this->setParam("items", "<span class='st_twitter_large' displayText='Tweet'></span><br />
<span class='st_googleplus_large' displayText='Google +'></span><br />
<span class='st_facebook_large' displayText='Facebook'></span><br />
<span class='st_linkedin_large' displayText='LinkedIn'></span><br />
<span class='st_pinterest_large' displayText='Pinterest'></span><br />
<span class='st_email_large' displayText='Email'></span><br />
<span class='st_sharethis_large' displayText='ShareThis'></span><br />",  "cdata");
        $this->saveParams();
    }
    
	/**
	 * Méthode qui ajoute le code css dans la partie <head>
	 *
	 * @return	stdio
	 * @author	Frédéric KAPLON
	 **/
    public function ThemeEndHead() {?>

     <style type="text/css">#sharethis{position:fixed;top:40%; <?php echo $this->getParam('position') ?>:1%; float:<?php echo $this->getParam('position') ?>; z-index:10;#sharethis span{display:block !important; float:left;clear:both; margin:5px}</style>
     <script type="text/javascript">var switchTo5x=true;</script>
     <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
     <script type="text/javascript">stLight.options({publisher: "<?php echo $this->getParam('publisher') ?>", doNotHash: <?php echo $this->getParam('doNotHash') ?>, doNotCopy: <?php echo $this->getParam('doNotCopy') ?>, hashAddressBar: <?php echo $this->getParam('hashAddressBar') ?>});</script>  

	<?php
    }

	/**
	 * Méthode qui ajoute la barre de partage
	 *
	 * @return	stdio
	 * @author	Frédéric KAPLON
	 **/
    public function ThemeEndBody() {?>
    
    <?php 
     if($this->getParam('activate')==true) {
         echo '<div id="sharethis">
	     '.$this->getParam('items').'
     </div>';
     } 
     ?>
    
     
	<?php
    }
    
	/**
	 * Méthode statique qui affiche la barre ou l'on veut dans les templates du thème
	 *
	 * @return	stdio
	 * @author	Frédéric KAPLON
	 **/
	public static function ShareThis() {?>
	
     <!-- BARRE DE PARTAGE -->
     <div class="sharethis"> 
         <?php echo $this->getParam('items')?>
     </div> 
            

	<?php
	}    
    
}
?>